@charset "UTF-8";
@import url(basics.css);

@font-face {
	font-family: 'cambria';
	src: url("Cambria/Cambria.ttf") format("truetype");
	font-weight: normal;
	font-style: normal;
}

body {
	background-color: #fff;
	font-family: UrgeTextItalic, cambria, serif;
	font-size: 1.1em;
	line-height: 1em;
}

a {
	color: #f68449;
	text-decoration: none;
}

a:hover {
	color: #111;
}

p {
	margin-bottom: 0.7em;
	text-ident: 20px;
}

h1 {
	margin-bottom: 0.2em;
	font-weight: bold;
	font-size: 1.6em;
	line-height: 1em;
}

h10 {
	margin-bottom: 0.5em;
	font-weight: bold;
	font-size: 1.1em;
	line-height: 1em;
}

h2 {
	margin-top: 1em;
	margin-bottom: 1em;
	font-weight: normal;
	font-size: 1em;
	line-height: 1em;
	font-style: italic;
}

h3 {
	margin-top: 1em;
	margin-bottom: 1em;
	font-weight: normal;
	font-size: 1em;
	line-height: 1em;
	font-style: italic;
	text-align: right;
}

h4 {
	margin-top: 1em;
	margin-bottom: 1em;
	font-weight: normal;
	font-size: 1em;
	line-height: 1em;
	font-style: italic;
	text-align: left;
}

h5 {
	margin-bottom: 0.7em;
	font-weight: bold;
	font-size: 1.6em;
	line-height: 1em;
}


#wrapper {
	position: relative;
	width: 100%;
	height: 100%;
	position: relative;
	margin: 0;
	padding: 0;
	overflow: visible;
}

#content {
	position: relative;
	width: 100%;
	/* min-height: 1200px; */
}

.header {
	position: relative;
	margin-bottom: 3rem;
	z-index: 20;
	width: 100%;
	background: #94acf3;
	text-align: center;
}

#main {
	width: 100%;
	max-width: 70em;
	margin: 0 auto;
	position: relative;
	padding: 0 1em 0 2.2em;
}

.row:has(.leftcol) {
	display: grid;
	grid-template-columns: 1fr minmax(0, 66%) 1fr;
}

.row:has(.leftcol) > .leftcol {
	justify-self: start;
}

.row:has(.leftcol) > .rightcol {
	justify-self: end;
}

.row:has(.leftcol):after {
	display: none;
}

.middlecol > .row {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	gap: 1rem;
}

.row > .col3 {
	flex: 0 0 auto;
	width: 30%;
}

.middlecol > .row:after {
	display: none;
}

.middlecol > .row:has(.col1) {
	display: flex;
	flex-wrap: wrap;
	gap: 1em;
}

.bookdescr {
	margin-top: 1em;
}

.isbn {
	color: #000000;
}


.price {
	margin-top: 1em;
	font-weight: bold;
	color: #000000;
	font-size: 1em;
}

.textright {
	text-align: right;
	font-size: 1em; 
	line-height: 1em;
}

#main li {
	margin-bottom: 0.5em;
}

img.thumb {
	width: 100%;
	max-width: 400px;
}

.descr {
	max-width: 400px;
	margin-top: 1em;
	margin-bottom: 2em;
}

footer {
	margin-top: 3rem;
	background: #f69867;
	width: 100%;
	padding: 2em 0;
}

footer a {
	color: #fff;
}

footer a:hover {
	color: #000;
}

.footercontent {
	max-width: 700px;
	margin: 0 auto;
	text-align: center;
}

.back {
	position: absolute;
	top: 0;
	left: -45px;
	font-size: 180%;
	font-weight: bold;
	margin-bottom: 0.5em;
}

.colleft {
	float: left;
	text-align: right;
	width: 48%;
}

.colright {
	float: right;
	text-align: left;
	width: 48%;
}

.hamburger-menu {
	display: block;
}

.col1 {
	width: 47%;
	text-align: right;
}

.col1 img {
	max-width: 100%;
}

.col2 {
	width: 47%;
	margin: 0;
}

.col3 {
	/* width: 28%;
	max-width: 21em;
	margin: 0 0.8em 1em 0.8em; */
}

.leftcol {
	position: relative;
	min-height: 400px;
}

.sticky-bild {
	position: sticky;
	top: 60px;
	max-width: 40px;
}

.fixed {
	position: fixed;
	top: 60px;
	left: 0;
	max-width: 40px;
}

.middlecol {
	position: relative;
	min-height: 200px;
	display: grid;
	justify-content: center;
	justify-self: center;
	max-width: 1000px;
}

.rightcol {
	position: relative;
}

.navline {
	z-index: 10;
	width: 100%;
	height: 55px;
	position: fixed;
	top: 0;
	left: 0;
	background: #94ACF3;
}

/* --breakpoint-tablet */
@media (max-width: 1000px) {
	.col3 {
		width: 100%;
		margin: 0;
		margin-bottom: 1em;
	}
	/* .rightcol {
		display: none;
	} */
	.row:has(.leftcol) {
		grid-template-columns: 1fr minmax(0, 80%) 1fr;
	}
}

/* --breakpoint-mobile */
@media (max-width: 767px) {

	body {
		font-size: 100%;
	}
	
	header {
		position: relative;
	}
	
	#main,
	#content {
		margin-top: 0;
	}
	
	.logo {
		width: 28px;
		left: 0;
		top: 160px;
	}
	
	img.thumb {
		width: 100%;
		max-width: 100%;
		min-width: 100%;
	}

	.sticky-bild {
		position: sticky;
		top: 60px;
		max-width: 30px;
	}

	.fixed {
		position: fixed;
		top: 60px;
		left: 0;
		max-width: 46px;
	}
	
	.row:has(.leftcol) {
		flex-wrap: wrap;
		grid-template-columns: 3rem minmax(0, 1fr) 3rem;
	}

	.middlecol > .row {
		max-width: 400px;
	}

	.middlecol > .row:has(.col1) {
		flex-direction: column;
	}

	.row > .col3 {
		width: 100%;
	}

	.col1,
	.col2,
	.col3 {
		width: 100%;
		margin: 0;
		/* margin-bottom: 1em; */
	}

	.footercontent {
		width: 100%;
	}

	.textright {
		width: 100%;
	}

	.colleft,
	.colright {
		width: 100%;
		float: none;
		text-align: center;
	}

	.colright {
		margin-top: 1em;
	}

	.hamburger-menu {
		display: block;
	}
	
	.back {
		position: relative;
		top: 0;
		left: 0;
		font-size: 180%;
	}
}

/* --- */
#menu__toggle {
  opacity: 0;
  visibility: hidden;
  display: none;
  width: 36px;
  height: 36px;
}

#menu__toggle:checked + .menu__btn > span {
  transform: rotate(45deg);
}

#menu__toggle:checked + .menu__btn > span::before {
  top: 0;
  transform: rotate(0deg);
}

#menu__toggle:checked + .menu__btn > span::after {
  top: 0;
  transform: rotate(90deg);
}

#menu__toggle:checked ~ .menu__box {
  right: 0 !important;
}

.menu__btn {
  position: fixed;
  top: 12px;
  right: 26px;
  width: 40px;
  height: 30px;
  cursor: pointer;
  z-index: 250;
  padding: 12px 12px;
}

.menu__btn a:focus,
.menu__btn a:visited {
	color: #111;
}

.menu__btn > span,
.menu__btn > span::before,
.menu__btn > span::after {
  display: block;
  position: absolute;
  width: 100%;
  height: 4px;
  background-color: #fff;
  transition-duration: .25s;
  padding: 2px 2;
}

.menu__btn > span::before {
  content: '';
  top: -10px;
}

.menu__btn > span::after {
  content: '';
  top: 10px;
}

.menu__box {
  display: block;
  position: fixed;
  z-index: 200;
  top: 0;
  right: -320px;
  width: 300px;
  height: 100%;
  margin: 0;
  padding: 60px 0;
  list-style: none;
  background: #f69867;
  box-shadow: 2px 2px 6px rgba(0, 0, 0, .4);
  transition-duration: .35s;
  text-align: right;
  overflow: auto;
}

.menu__item {
  display: block;
  padding: 7px 20px;
  color: #fff;
  font-family: inherit;
  font-size: inherit;
  text-decoration: none;
  transition-duration: .35s;
}

.menu__item:hover {
  background-color: #CFD8DC;
  color: #111;
}

/* --breakpoint-mobile */
@media (max-width: 767px) {

h1 {
	margin-bottom: 0.5em;
	font-weight: bold;
	font-size: 1.2em;
	line-height: 1em;
	font-stretch: narrower;
}

h10 {
	margin-bottom: 0.5em;
	font-weight: bold;
	font-size: 1.1em;
	line-height: 1em;
	font-stretch: narrower;
}

body {
	background-color: #fff;
	font-family: UrgeTextItalic, cambria, serif;
	font-size: 0.9em;
	line-height: 1em;
}

h3 {
	margin-top: 1em;
	margin-bottom: 0.8em;
	font-weight: normal;
	font-size: 0.9em;
	line-height: 1em;
	font-style: italic;
	text-align: right;
}

h4 {
	margin-top: 1em;
	margin-bottom: 0.8em;
	font-weight: normal;
	font-size: 0.9em;
	line-height: 1em;
	font-style: italic;
	text-align: left;
}

}

